Welcome to the Perforce Workshop
---------------------------------

The Perforce Workshop is maintained by Perforce Software to
support our community and open source developers at large in
building and sharing tools using Perforce.

You will find several Perforce-initiated open source projects
here, including
[Jam](https://swarm.workshop.perforce.com/projects/perforce_software-jam),
a fully portable alternative to `make(1)`, as well as source code
for some Perforce products such as P4Perl, P4Ant, and the classic
Perforce client
[P4Win](https://swarm.workshop.perforce.com/projects/perforce-software-p4win).

You are welcome to
[contribute](https://swarm.workshop.perforce.com/files/guest/perforce_software/contributing.md)
to any of the software or documentation in the Perforce
Workshop. If you're simply interested in seeing how Perforce
works, you'll find the Workshop to be an accessible model of
real, distributed, concurrent source management in action.


### Browsing ###

We have some [tips](browsing.md) on how to looking information on
this website.


### Contributing ###

If you plan on contributing to the Workshop, have a look at the
following guide:

  [https://swarm.workshop.perforce.com/files/guest/perforce_software/contributing.md](https://swarm.workshop.perforce.com/files/guest/perforce_software/contributing.md)


### Disclaimer ###
Please do not download software from this site unless you have
read the statement below and agree to it:

DISCLAIMER OF WARRANTY: For any and all software downloaded from
the Perforce Workshop: Perforce Software, Inc. disclaims all
warranties, either express or implied, including but not limited
to the implied warranties of merchantability and fitness for a
particular purpose.


### About Perforce ###

[Perforce Software](http://www.perforce.com/) provides a code
collaboration platform that can be used to track shared software
development with distributed teams. A Perforce server stores
files in a depot, and developers all over the world can submit
changes to the depot. The orderly management of file changes and
merges is provided by the
[Helix platform](http://www.perforce.com/helix).
